#
# spec file for package perl-Path-IsDev
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Path-IsDev
Version:        1.001003
Release:        lp152.3.2
%define cpan_name Path-IsDev
Summary:        Determine if a given Path resembles a development source tree
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Path-IsDev/
Source0:        https://cpan.metacpan.org/authors/id/K/KE/KENTNL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Tiny) >= 0.010
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Path::Tiny) >= 0.004
BuildRequires:  perl(Role::Tiny)
BuildRequires:  perl(Role::Tiny::With)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::Fatal)
Requires:       perl(Class::Tiny) >= 0.010
Requires:       perl(File::HomeDir)
Requires:       perl(Module::Runtime)
Requires:       perl(Path::Tiny) >= 0.004
Requires:       perl(Role::Tiny)
Requires:       perl(Role::Tiny::With)
Requires:       perl(Sub::Exporter)
Recommends:     perl(Path::Tiny) >= 0.058
%{perl_requires}

%description
This module is more or less a bunch of heuristics for determining if a
given path is a development tree root of some kind.

This has many useful applications, notably ones that require behaviours for
"installed" modules to be different to those that are still "in
development"

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Sat Mar 11 2017 coolo@suse.com
- updated to 1.001003
  see /usr/share/doc/packages/perl-Path-IsDev/Changes
  1.001003 2017-03-09T20:21:10Z 4dcd533
  - Bugfix: Avoid -Ddefault_inc_excludes_dot failures ( also makes tests *much* faster )
  [Dependencies::Stats]
  - Dependencies changed since 1.001002, see misc/*.deps* for details
  - configure: +1 (recommends: ↑1)
  - develop: +14 ↑4 -3 (recommends: +1, suggests: ↑2)
  - runtime: (recommends: +1)
  - test: +1 ↓1 (recommends: ↑1 ↓1)
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.001002
  see /usr/share/doc/packages/perl-Path-IsDev/Changes
  1.001002 2014-08-16T04:40:51Z
  [00 Trivial]
  - CPANDAY!
  - no code changes
  - tests augmented
  - whitespace reduced
  [Dependencies::Stats]
  - Dependencies changed since 1.001001, see misc/*.deps* for details
  - configure: ↓1
  - develop: +1 (suggests: ↑2)
  - test: +1 -3 (recommends: ↑1 -1)
  [Metadata]
  - move to kentnl org
  [Misc]
  - Improve source side POD to reduce build side whitespace.
  [Tests]
  - update Test::ReportPrereqs
* Mon Jul 28 2014 coolo@suse.com
- updated to 1.001001
  [00 Trivial]
  - Misc packaging cleanups.
  [Dependencies::Stats]
  - Dependencies changed since 1.001000, see misc/*.deps* for details
  - configure: (recommends: ↑1)
  - develop: +3 -3 (suggests: +2 -1)
  - test: (recommends: ↑2)
* Mon Mar 10 2014 coolo@suse.com
- updated to 1.001000
  [00 Majorish]
  - Tooling switched to ExtUtils::MakeMaker
  [Bug fixes]
  - Needed newer Path::Tiny for ->realpath
  [Dependencies::Aggregate]
  - 5.008 - 48 → 43
  - 5.010 - 31 → 32
  - 5.019 - 17 → 16
  [Dependencies::Stats]
  - Dependencies changed since 1.000002, see Changes.deps{,.all,.dev} for
    details
  - build: -1
  - configure: +2 -1
  - develop: +7 ↑1 -9
  - runtime: +1 ↑2
  - test: +8 ↓1
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.000002
  - Attempt to avoid failures on some Win32's where methods other than
    File::HomeDir->my_home don't work at all.
  [Dependencies::Stats]
  - Dependencies changed, see Changes.deps{,.all,.dev} for details
  - develop: ↑1
  [Maintenance]
  - Split Changes into Changes.{deps,deps.all,deps.dev} for easier reading
    for maintainers.
  1.000001 2013-11-21T11:49:20Z
  [Dependencies::Stats]
  - Dependencies changed, see Changes.deps{,.all,.dev} for details
  - build: ↑1
  - configure: ↑1
  - develop: +42 ↑1
  - test: ↑1 -3
  [Documentation]
  - README.mkdn → MetaCPAN
  - Encoding → UTF-8
  [Maintenance]
  - Increase deps on Module::Build and Test::More
  - Removes a few deps no longer needed.
  [Packaging]
  - Use new fallback code in MB
  [Tests]
  - Replace Test::Compile with Test::Compile::PerFile
  1.000000 2013-10-18T09:55:20Z
  [00 Supermajor Changes - Breaking Everything]
  - This release comes with many significant changes that are likely to
    break any closely built dependencies.
  - External export interface contains no visible changes, but underyling
    plumbing is under heavy construction.
* Tue Oct  8 2013 coolo@suse.com
- initial package 0.6.0
  * created by cpanspec 1.78.07
